summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Turner <jturner.usa+gentoo@gmail.com>2025-11-14 20:03:49 -0500
committerJohn Turner <jturner.usa+gentoo@gmail.com>2025-11-14 20:03:49 -0500
commit9a159c126305621b70da0874f296b567a713fe68 (patch)
tree52750abdb996eb8bde7d6b2d4989793a6dc93543
parentc4eb1f5f3b91e12d2ebea97246aed5c4d17014aa (diff)
downloadebuilds-9a159c126305621b70da0874f296b567a713fe68.tar.gz
add ebuild flymake-clippy-9999
-rw-r--r--app-emacs/flymake-clippy/flymake-clippy-9999.ebuild19
1 files changed, 19 insertions, 0 deletions
diff --git a/app-emacs/flymake-clippy/flymake-clippy-9999.ebuild b/app-emacs/flymake-clippy/flymake-clippy-9999.ebuild
new file mode 100644
index 0000000..2c3d084
--- /dev/null
+++ b/app-emacs/flymake-clippy/flymake-clippy-9999.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp verify-sig git-r3
+
+DESCRIPTION="A major emacs mode for editing Rust source code"
+HOMEPAGE="https://jturnerusa.dev/cgit/flymake-clippy"
+EGIT_REPO_URI="https://jturnerusa.dev/cgit/flymake-clippy/"
+EGIT_BRANCH="main"
+
+VERIFY_SIG_KEY_PATHS=(/usr/share/ssh-keys/jturnerusa.asc)
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+
+DOCS=( README.md )
+SITEFILE="50${PN}-gentoo.el"